# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
for index_model in pc.indexes.list():
print(index_model.name, index_model.host, index_model.status.state)
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/indexes" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"indexes": [
{
"deletion_protection": "disabled",
"deployment": {
"cloud": "aws",
"deployment_type": "managed",
"region": "us-east-1"
},
"host": "movie-recommendations-c01b5b5.svc.us-east1-gcp.pinecone.io",
"name": "movie-recommendations",
"read_capacity": {
"mode": "OnDemand",
"status": {
"state": "Ready"
}
},
"schema": {
"fields": {
"embedding": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"status": {
"ready": true,
"state": "Ready"
}
}
]
}Indexes
List indexes
List all indexes in a project.
GET
/
indexes
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
for index_model in pc.indexes.list():
print(index_model.name, index_model.host, index_model.status.state)
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/indexes" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"indexes": [
{
"deletion_protection": "disabled",
"deployment": {
"cloud": "aws",
"deployment_type": "managed",
"region": "us-east-1"
},
"host": "movie-recommendations-c01b5b5.svc.us-east1-gcp.pinecone.io",
"name": "movie-recommendations",
"read_capacity": {
"mode": "OnDemand",
"status": {
"state": "Ready"
}
},
"schema": {
"fields": {
"embedding": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"status": {
"ready": true,
"state": "Ready"
}
}
]
}Returns all indexes in the project, including their current status and configuration. Each item in the response has the same shape as
GET /indexes/{index_name}.
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
for index_model in pc.indexes.list():
print(index_model.name, index_model.host, index_model.status.state)
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/indexes" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
Authorizations
Headers
Required date-based version header
Response
This operation returns a list of all the indexes that you have previously created, and which are associated with the given project.
The list of indexes that exist in the project.
List of indexes in the project
Show child attributes
Show child attributes
Was this page helpful?